> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Coverage Settings

> Toggle the daily automatic question extraction.



## OpenAPI

````yaml /openapi-v1.json put /api/v1/coverage/settings
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/coverage/settings:
    put:
      tags:
        - Coverage
      summary: Update Coverage Settings
      description: Toggle the daily automatic question extraction.
      operationId: core_api_v1_controllers_coverage_update_coverage_settings
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoverageSettingsIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    CoverageSettingsIn:
      properties:
        question_extraction_enabled:
          title: Question Extraction Enabled
          type: boolean
      required:
        - question_extraction_enabled
      title: CoverageSettingsIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````